Bug 53271 - RP3 works from Debug button but not from launcher
RP3 works from Debug button but not from launcher
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: rp3 (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
n/a
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-05 18:01 EDT by Heward Simpson
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:59:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heward Simpson 2001-09-05 18:01:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98)

Description of problem:
I can run a successful PPP session in root by clicking the debug button in 
rp3. (Browser and e-mail connections to my ISP work fine).
But if I click on the "Connect" button on the launcher (whether docked on 
the panel or not) I get the "Change connection status?" box; clicking Yes 
just gives a "Waiting..." dialog box (message "Waiting to connect to [my 
ISP name]") with horizontal slider, which times out after 30 seconds.  
Then the warning dialog box comes up with message "Failed to activate 
interface".
Exactly the same happens if I try to run rp3 from a terminal window by 
typing /usr/bin/rp3.
The modem lights appear to show no activity at all.  The modem is external 
(diamond SupraExpress 56e PRO).  The firewall is set to high security.

The same behaviour happens if I try the launcher Connect button in a user 
account, but of course I can only use the "Debug" option in root.

Technical support (Augustus) suggested I log this as a bug - hope you can 
help.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start Linux
2.Login as anything
3.Click the "Connect" button on the rp3 launcher
	

Actual Results:  See description above: "Failed to activate interface"

Expected Results:  Modem should dial out to ISP and PPP session starts.

Additional info:

See description above.
Comment 1 dsbrown 2002-05-16 04:35:47 EDT
I have experienced this bug quite often.  It seems that if there are more than two entries, or editing the entries in rp3-config reproduces this 
bug.  I have occasionally solved by deleting entries in rp3-config and adding new ones.  However, I realize it seems to still be a bug as I often 
need more than 2 entries and phone numbers change.
Comment 2 Bill Nottingham 2006-08-07 15:41:02 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 12:59:57 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.